
/*
 This file is part of moth. moth is a program for creating
 and editing textured 3D models.
 
 Copyright (C) 2004 Peter Uray.

 moth is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 moth is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with moth; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __MELEVATIONCREATOR_H__
#define __MELEVATIONCREATOR_H__

#include <moth/MCreator.h>

class MElevationCreator : public MCreator
{
 public:
 
   /// The default constructor.
   MElevationCreator(void);
   
   /// calling this method creates the shape and adds it to the parent model.
   virtual MShape *create(MModel *parent);
   
 protected:

   /// auxiliary functions.
   int vertexAt(int phi, int theta, int tilesPhi, int tilesTheta);
   int texVertexAt(int phi, int theta, int tilesPhi, int tilesTheta);
};




#endif
