
/*
 This file is part of moth. moth is a program for creating
 and editing textured 3D models.
 
 Copyright (C) 2004 Peter Uray.

 moth is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 moth is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with moth; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __MLIGHTSOURCEPARAMETERDIALOG_H__
#define __MLIGHTSOURCEPARAMETERDIALOG_H__

#include <qnamespace.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlineedit.h>
#include <qwidget.h>
#include <qcheckbox.h>

#include <qdialog.h>
#include <qstring.h>
#include <qevent.h>
#include <qspinbox.h>
#include <qslider.h>

#include <moth/MLightSource.h>


class MLightSourceParameterDialog : public QDialog
{
 Q_OBJECT

 signals: 
   
  // No signals.
   
 public slots:
 
   void onOKButtonPressed(void);
   void onSliderValueChanged(int value);
   void onTextChanged(const QString &text);

 public:
 
   MLightSourceParameterDialog(MLightSource *lightSource);
   virtual ~MLightSourceParameterDialog(void);

   virtual void show(void);
      
 protected:

   QPushButton *_okButton;
   
   QButton *_ambientDisplay;
   QButton *_diffuseDisplay;
   QButton *_specularDisplay;
      
   
   QSlider *_ambientRSlider;
   QSlider *_ambientGSlider;
   QSlider *_ambientBSlider;
   
   QSlider *_diffuseRSlider;
   QSlider *_diffuseGSlider;
   QSlider *_diffuseBSlider;
   
   QSlider *_specularRSlider;
   QSlider *_specularGSlider;
   QSlider *_specularBSlider;
   
   
   QLineEdit *_exponentEdit;
   QLineEdit *_cutoffEdit;
   QLineEdit *_constantAttenuationEdit;
   QLineEdit *_linearAttenuationEdit;
   QLineEdit *_quadraticAttenuationEdit;
   
   MLightSource *_lightSource;
};



#endif
