
/*
 This file is part of moth. moth is a program for creating
 and editing textured 3D models.
 
 Copyright (C) 2004 Peter Uray.

 moth is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 moth is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with moth; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __MMATERIALDIALOG_H__
#define __MMATERIALDIALOG_H__

#include <qpushbutton.h>
#include <qslider.h>
#include <qdialog.h>
#include <qstring.h>
#include <qlistview.h> 
#include <qstringlist.h>
#include <qcheckbox.h>
#include <qcombobox.h> 

class MMaterialDialog : public QDialog
{
 Q_OBJECT

 signals: 
   
  // No signals.
   
 public slots:
 
   void onOKButtonPressed(void);
   void onSliderValueChanged(int value);
   
   void onTransparentBoxToggled(bool state);
   void onShadingModelChanged(int index);
   void onTextureSelect(void);

 public:
 
   MMaterialDialog(void);
   virtual ~MMaterialDialog(void);

   virtual void show(void);
      
 protected:

   QPushButton *_okButton;
   
   QButton *_colorDisplay;
   QButton *_ambientDisplay;
   QButton *_diffuseDisplay;
   QButton *_specularDisplay;
   QButton *_emissionDisplay;
   
   QSlider *_colorRSlider;
   QSlider *_colorGSlider;
   QSlider *_colorBSlider;
   QSlider *_colorASlider;
   
   QSlider *_ambientRSlider;
   QSlider *_ambientGSlider;
   QSlider *_ambientBSlider;
   QSlider *_ambientASlider;
   
   QSlider *_diffuseRSlider;
   QSlider *_diffuseGSlider;
   QSlider *_diffuseBSlider;
   QSlider *_diffuseASlider;
   
   QSlider *_specularRSlider;
   QSlider *_specularGSlider;
   QSlider *_specularBSlider;
   QSlider *_specularASlider;
   
   QSlider *_emissionRSlider;
   QSlider *_emissionGSlider;
   QSlider *_emissionBSlider;
   QSlider *_emissionASlider;
   
   QSlider *_shininessSlider;
   QCheckBox *_isTransparentBox;
   QComboBox *_renderModeBox;
   
   QListView *_textureListView; 
};





#endif
