
/*
 This file is part of moth. moth is a program for creating
 and editing textured 3D models.
 
 Copyright (C) 2004 Peter Uray.

 moth is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 moth is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with moth; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __MPREFERENCESDIALOG_H__
#define __MPREFERENCESDIALOG_H__


#include <qnamespace.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlineedit.h>
#include <qwidget.h>
#include <qcheckbox.h>

#include <qdialog.h>
#include <qstring.h>
#include <qevent.h>
#include <qspinbox.h>


class MPreferencesDialog : public QDialog
{
 Q_OBJECT

 signals: 
   
  // No signals.
   
 public slots:
 
   // void onResourceLocationSelect(void);
   void onProjectLocationSelect(void);
   
   void onOKButtonPressed(void);

 public:
 
   MPreferencesDialog(void);
   virtual ~MPreferencesDialog(void);
   
   virtual void show(void);
      
 protected:

   QTabWidget *_tabWidget;
   QWidget *_generalTab;
   QWidget *_gridandunitsTab;
   QWidget *_cameraTab;
   
   // General tab
   QSpinBox *_undoStepsBox;
   
   // QLineEdit *_resourceLocationEdit;
   // QPushButton *_resourceLocationSelectButton;

   QLineEdit *_projectLocationEdit;
   QPushButton *_projectLocationSelectButton;

   // Grid / units tab   
   QLineEdit *_gridXEdit;
   QLineEdit *_gridYEdit;
   QLineEdit *_gridZEdit;
   
   QLineEdit *_gridDXEdit;
   QLineEdit *_gridDYEdit;
   QLineEdit *_gridDZEdit;
   
   QLineEdit *_snapXEdit;
   QLineEdit *_snapYEdit;
   QLineEdit *_snapZEdit;
   
   QLineEdit *_snapAngleXEdit;
   QLineEdit *_snapAngleYEdit;
   QLineEdit *_snapAngleZEdit;
   
   QCheckBox *_displayXYBox;
   QCheckBox *_displayYZBox;
   QCheckBox *_displayZXBox;
   QCheckBox *_displayAxesBox;
   
   QCheckBox *_snapBox;
   QCheckBox *_snapAnglesBox;
     
   QLineEdit *_sizeEdit;
   QLineEdit *_texSizeEdit;
   
   // Camera tab
   QLineEdit *_angleEdit;
   QLineEdit *_ncdEdit;
   QLineEdit *_fcdEdit;
   
   QLineEdit *_rDefaultEdit;
   QLineEdit *_phiDefaultEdit;
   QLineEdit *_thetaDefaultEdit;
   
   QPushButton *_applyButton;
   QPushButton *_resetButton;
   

   QPushButton *_okButton, *_cancelButton;
};


#endif
