
/*
 This file is part of moth. moth is a program for creating
 and editing textured 3D models.
 
 Copyright (C) 2004 Peter Uray.

 moth is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 moth is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with moth; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/


/**
 This header file contains the tooltip strings.
*/

const char tooltip_newdocument[] = "New Document\nUse this button in order to remove all contents from the scene graph.\nPlease do not forget to save the current data if you wish to keep them.";
const char tooltip_opendocument[] = "Open Document\nSelect an .mscn file and merge its contents with the scene.\nYou can add multiple items to the scene by repeatedly opening scene files.\nUse the New Document button in order to clear the scene.";
const char tooltip_savedocument[] = "Save Document\nSaves the scene data to an mscn file.\nOnce a scene file name is specified, you are not prompted for a filename.\nUse File->Save Document as ... in order to change the filename.";
const char tooltip_undo[] = "Undo\nOne step back in the document history.\nUse the preferences dialog (File->Preferences) in order to specify the size of the history.";
const char tooltip_redo[] = "Redo\nOne step forward in the document history.\nUse the preferences dialog (File->Preferences) in order to specify the size of the history.";

const char tooltip_select[] = "Select Model\nClick on a particular model in order to select it.\nClicking on the background deselects.";
const char tooltip_zoom[] = "Zoom\nClick with the left mouse button in order to zoom in.\nClick with the right mouse button in order to zoom out.";

const char tooltip_move[] = "Move item\nUse the manipulator in order to confine the movement in the 3D view.\nLeft mouse button: move item.\nRight mouse button: move manipulator without moving the item";
const char tooltip_rotate[] = "Rotate item\nUse the manipulator in order to confine the rotation in the 3D view.\nLeft mouse button: rotate item.\nRight mouse button: rotate manipulator without rotating the item";
const char tooltip_scale[] = "Move item\nUse the manipulator in order to confine the scaling in the 3D view.\nLeft mouse button: scale item.\nRight mouse button: scale manipulator without scaling the item";

const char tooltip_selectvertices[] = "Select Vertices\nHold the ctrl key in order to add/remove vertices.\nLeft mouse button adds vertices.\nRight mouse button removes vertices.";
const char tooltip_movevertices[] = "Move Vertices\nOnly selected vertices are moved.";
const char tooltip_rotatevertices[] = "Rotate Vertices\nOnly selected vertices are rotated.\nUse the manipulator for defining a center of rotation and a rotation axis";
const char tooltip_scalevertices[] = "Scale Vertices\nOnly selected vertices are scaled.\nUse the manipulator in order to define the center point and an axis.";
const char tooltip_magnetictool[] = "Magnetic tool\nSelect the tool strength using the >>Tool Strength<< menu.\nUse the manipulator in order to push and pull vertices.\nIf vertices are selected the magnetic tool changes only the selected vertices.";

const char tooltip_createvertex[] = "Create Vertex\nKlick in one of the plane views (XY, YZ, ZX) in order to add vertices to a shape.\nCreating vertices in the 3D view is not possible.";
const char tooltip_createtriangle[] = "Create Triangle\nClick on three vertices of a shape in order to create a triangle.\nRemember the shape functions Homogeneous Orientation and Revert Orientation.";
const char tooltip_flipedge[] = "Flip Edge.\nSelect the vertices of an edge in order to flip it.";
const char tooltip_snap2master[] = "Snap vertex to master.\nDeclare a shape to be master. Then select another shape.\nClick on a vertex first and the one of the master's vertices in order to snap.";
