
/*
 This file is part of moth. moth is a program for creating
 and editing textured 3D models.
 
 Copyright (C) 2004 Peter Uray.

 moth is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 moth is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with moth; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __MTREEITEM_H__
#define __MTREEITEM_H__

#include <qlistview.h>

#include <moth/MSceneGraphItem.h>
#include <moth/MEnum.h>

class MTreeItem : public QListViewItem
{
 public:
 
   MTreeItem(QListView *parent, const QString &name, MEnum::ItemType type);
   MTreeItem(MTreeItem *parent, const QString &name, MEnum::ItemType type);
   
   void setData(MSceneGraphItem *data);
   MSceneGraphItem *getData(void);
 
 protected:
 
   MSceneGraphItem *_data;
};


#endif
