
/*
 This file is part of moth. moth is a program for creating
 and editing textured 3D models.
 
 Copyright (C) 2004 Peter Uray.

 moth is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 moth is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with moth; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#include <qvaluevector.h> 

#include <moth/MShape.h>

#include <MDocument.h>
#include <MJitterCreator.h>


MJitterCreator::MJitterCreator(void) : MCreator()
{

}


MShape *MJitterCreator::create(MModel *parent)
{
 float s, strength;
 MVertex *v;
 MShape *shape;
 MVector pos, dir;
 
 strength = _parameters[QString("Strength")].toDouble();

 shape = MDocument::get()->getSelectedShape();

 if(shape)
 {
  dir = shape->getUp();
  QPtrList<MVertex> &vl = shape->getVertexList();
  for(v = vl.first(); v; v = vl.next())
  {
   pos = v->getPosition();
   s = (strength*rand())/((float)(RAND_MAX));
   
   pos = pos + s*dir;
   v->setPosition(pos);
  }
 }
 return shape;
}
